package com.sf.day09.abstractpackage;

import java.util.List;

public class Test {
    public static void main(String[] args) {
        Son son = new Son();
        son.eat();
        son.sleep();

        System.out.println("========================");

        Son2 son2 = new Son2();
        son2.eat();
        son2.sleep();

        System.out.println("=====================");
        Father father = new Son();
        father.eat();


    }
}
